mixed-port: 7890
http-port: 7892
socks-port: 7891
allow-lan: true # Меняем с false на true
bind-address: "0.0.0.0" # Добавляем - слушаем все интерфейсы

external-controller: 127.0.0.1:9090
external-ui: /root/.config/mihomo/ui
# secret: "changeme"

authentication:
    - "ada:Holivarr588856"

proxy-providers:
    main:
        type: http
        url: "https://491b5056.withblancvpn.online/s/c1b50e857b4e41a59ea80bcf6d1953d3"
        interval: 3600
        health-check:
            enable: true
            url: https://www.gstatic.com/generate_204
            interval: 300

proxy-groups:
    - name: "URL-Test"
      type: url-test
      use: [main]
      url: "https://www.gstatic.com/generate_204"
      interval: 300 # Тестировать каждые 5 минут
      tolerance: 50

rules:
    - MATCH,URL-Test

# tun:
#     enable: true
#     stack: mixed
#     auto-route: true
#     auto-detect-interface: true
#     dns-hijack:
#         - "any:53"
